Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop
Interface PointcutAdvisor

All Superinterfaces:
  Advisor

All Known Subinterfaces:
  InstantiationModelAwarePointcutAdvisor

All Known Implementing Classes:
  AbstractBeanFactoryPointcutAdvisor, AbstractGenericPointcutAdvisor, AbstractPointcutAdvisor, AspectJExpressionPointcutAdvisor, AspectJPointcutAdvisor, AsyncAnnotationAdvisor, BeanFactoryCacheOperationSourceAdvisor, BeanFactoryTransactionAttributeSourceAdvisor, DefaultBeanFactoryPointcutAdvisor, DefaultPointcutAdvisor, NameMatchMethodPointcutAdvisor, PersistenceExceptionTranslationAdvisor, ReflectiveAspectJAdvisorFactory.SyntheticInstantiationAdvisor, RegexpMethodPointcutAdvisor, StaticMethodMatcherPointcutAdvisor, TransactionAttributeSourceAdvisor

    public interface PointcutAdvisor

extends Advisor

Superinterface for all Advisors that are driven by a pointcut. This covers nearly all advisors except introduction advisors, for which method-level matching doesn't apply.

Author:
  Rod Johnson

Method Summary
`Pointcut` | `getPointcut()` Get the Pointcut that drives this advisor.

Methods inherited from interface org.springframework.aop.Advisor
`getAdvice, isPerInstance`

Method Detail

### getPointcut

    Pointcut getPointcut()

  Get the Pointcut that drives this advisor.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD